Subject: Re: [PATCH] t7006: clean up SIGPIPE handling in trace2 tests

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Nov 2021 18:17:04 -0800

Jeff King <[email-masked]> writes:

> I'm not 100% sure this fixes any possible races, as the race Junio
> initially reported seemed to be in the "propagated signals from pager"
> test, which I don't think has these flaky-SIGPIPE problems. But I think
> it's at least correcting some of the confusion. And we can see if it
> happens again (I haven't been able to trigger any failures with --stress
> myself).

Applying this (or this and the follow-up) seems to make t7006, which
used to be flaky, to consistently fail at test "git returns SIGPIPE
on propagated signals from pager" for me ;-)